Bug 152525 - tg3 driver, Kernel panics with high network load on x86_64 SMP
tg3 driver, Kernel panics with high network load on x86_64 SMP
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 18:38 EST by Ian Neubert
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 17:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Neubert 2005-03-29 18:38:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6) Gecko/20050325 Firefox/1.0.2

Description of problem:
This was first posted as Service Request: 509882

I am getting reproducable Kernel panics with a dual processor AMD64 machine using the Broadcom 5704 on-board network chip (Tyan S2882 motherboard).

To reproduce the error all I have to do is stess the network driver by downloading something large via scp.

Here is the kernel panic message:
Kernel BUG at tg3:2426
invalid operand: 0000 [1] SMP
CPU 1
Modules linked in: arpt_mangle arptable_filter arp_tables iptable_filter ip_tabd
Pid: 0, comm: swapper Tainted: G   M  2.6.9-5.0.3.ELsmp
RIP: 0010:[<ffffffffa00a1c4f>] <ffffffffa00a1c4f>{:tg3:tg3_poll+163}
RSP: 0000:00000102fffb3e68  EFLAGS: 00010046
RAX: 00000000000000a9 RBX: 00000102fd5cbfd8 RCX: 0000000000000002
RDX: ffffffff804bf680 RSI: 00000002ffff849e RDI: 0000000000000002
RBP: 00000000000000a9 R08: 0000000000000042 R09: 0000000000000001
R10: 0000000000000001 R11: 0000000000000002 R12: 0000000000000000
R13: 00000102fd9c4380 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000041401960(0000) GS:ffffffff804bf680(0000) knlGS:0000000008479be0
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 0000002a9556c000 CR3: 0000000037e62000 CR4: 00000000000006e0
Process swapper (pid: 0, threadinfo 00000102fffb8000, task 000001020000b030)
Stack: 00000102fd9c43ec 000000016c67e812 0000010037dd5b80 000000018012fd93
       000002dd02dde9e0 0000003f00010000 0000000100000040 0000000000000212
       00000100f3d82000 00000102fffb3f1c
Call Trace:<IRQ> <ffffffff8029eaa7>{net_rx_action+129} <ffffffff80139cc4>{__do_
       <ffffffff80139d6d>{do_softirq+49} <ffffffff80112dc3>{do_IRQ+328}
       <ffffffff801105d7>{ret_from_intr+0}  <EOI> <ffffffff8010e5c9>{default_id
       <ffffffff8010e5e9>{default_idle+32} <ffffffff8010e65c>{cpu_idle+26}
 
 
Code: 0f 0b 10 a0 0a a0 ff ff ff ff 7a 09 49 8b 4d 20 41 8b 94 24
RIP <ffffffffa00a1c4f>{:tg3:tg3_poll+163} RSP <00000102fffb3e68>
 NMI Watchdog detected LOCKUP on CPU1, registers:
CPU 1
Modules linked in: arpt_mangle arptable_filter arp_tables iptable_filter ip_tabd
Pid: 0, comm: swapper Tainted: G   M  2.6.9-5.0.3.ELsmp
RIP: 0010:[<ffffffff802f86c4>] <ffffffff802f86c4>{.text.lock.spinlock+14}
RSP: 0000:00000102fffb3b60  EFLAGS: 00000086
RAX: 0000000000000000 RBX: 00000102fd9c4380 RCX: 00000000000000c1
RDX: 00000102fffb3c18 RSI: 00000102fd9c4000 RDI: 00000102fd9c4380
RBP: 00000100f3d82000 R08: ffffffff803c7188 R09: 000000000000000f
R10: ffffffff801ea63a R11: ffffffff801ea63a R12: 00000102fd9c4380
R13: 0000000000000001 R14: 00000102fffb3c18 R15: 0000000000000000 

Version-Release number of selected component (if applicable):
kernel-2.6.9-5.0.3.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4 x86_64 with minimal install
2. Start downloading large file via scp

Additional info:
Comment 2 John W. Linville 2005-03-30 10:58:30 EST
Do you have access to a later kernel?  There has been a tg3 update to version
3.22rh.  What version does "ethtool -i" show for you?

Please attempt to recreate with the latest available kernel.  If nothing else,
please try the kernels here:

   http://people.redhat.com/linville/kernels/rhel4/

Please post the results of trying to recreate with the later kernels.  Thanks!
Comment 3 Ian Neubert 2005-03-30 20:52:43 EST
Here is the output from ethtool -i:

driver: tg3
version: 3.10
firmware-version:
bus-info: 0000:02:09.0

I'll give one of your kernels a shot and report back what happens. Thanks for
the update.
Comment 4 Ian Neubert 2005-04-07 17:46:45 EDT
I still had the same problems with your kernel. I'm going to RMA the mobo and
see if that is the problem. If I still have problems with a new mobo than I will
report back and reopen the bug. For now I just consider this to be a hardware
problem. Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.